Skip to main content
POST
Fetch Analysis (multiple choice)

Description

Get analysis data for multiple choice questions.

Payload

where:
  • fromDate: start date in ISO format. Required.
  • toDate: end date in ISO format. Required.
  • filter: array of filters to filter the responses. Optional.
  • groups: Object indexed by question id with a q as prefix. Every key has assigned an array with the question ids with q prefix that are the same question through different concepts inside a concept test. Only needed for project with Concept Tests or Question Loops. Optional.
  • aggregateOptions: Used when filtering with a bucket. Specifies the bucket configuration applied. Optional.
  • excludeQuestions: Array of question ids. Questions specified in this array belong to a Contact Info item, specifically the country and state questions that should be excluded from analysis. Optional.

Response

200 OK

where:
  • projectId: unique identifier of the project.
  • fromDate: start date received as param to the query in ISO format.
  • toDate: end date received as param to the query in ISO format.
  • dateFilters: Array of date filters used for querying the responses.
  • filter: Array of filters sent in the request.
  • responses: object mapping unique question identifiers to analysis data for every question.
  • responsesCounter: Integer representing the number of responses for the given filter.
  • responsesCounters: Object containing the number of responses per question for the given filter.

400 Bad Request

Missing or invalid projectId/fromDate/toDate fields.

401 Unauthorized

Invalid authorization.

404 Not Found

Resource not found.

500 Internal Server Error

Error occurred in the service.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

projectId
string

Body

application/json

The body is of type object.

Response

Fetch Analysis

The response is of type object.